Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class ReflectionMetaMethod

- org.codehaus.groovy.runtime.metaclass.ReflectionMetaMethod

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected CachedMethod` | `method` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MetaMethod` | `EMPTY_ARRAY`
    `class ParameterTypes` | `isVargsMethod, nativeParamTypes, parameterTypes`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ReflectionMetaMethod (CachedMethod method)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `MetaMethod` | `getCachedMethod()`
    `` | `CachedClass` | `getDeclaringClass()`
    `` | `int` | `getModifiers()`
    `` | `String` | `getName()`
    `` | `protected Class[]` | `getPT()`
    `` | `Class` | `getReturnType()`
    `` | `Object` | `invoke(Object object, Object[] arguments)`
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MetaMethod` | `checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`
    `class ParameterTypes` | `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected final CachedMethod method

  - ### Constructor Detail

    - #### public ReflectionMetaMethod(CachedMethod method)

  - ### Method Detail

    - #### public MetaMethod getCachedMethod()

    - #### public CachedClass getDeclaringClass()

    - #### public int getModifiers()

    - #### public String getName()

    - #### protected Class[] getPT()

    - #### public Class getReturnType()

    - #### public Object invoke(Object object, Object[] arguments)

    - #### public String toString()